## chromium 133.0.6943.126

=== debian/changelog ===
chromium (133.0.6943.126-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2025-0999: Heap buffer overflow in V8.
      Reported by Seunghyun Lee (@0x10n).
    - CVE-2025-1426: Heap buffer overflow in GPU.
      Reported by un3xploitable && GF.
    - CVE-2025-1006: Use after free in Network. Reported by Tal Keren, Sam
      Agranat, Eran Rom, Edouard Bochin, Adam Hatsir of Palo Alto Networks.
  * d/patches:
    - fixes/bindgen-unsafe-op.patch: drop now that sid's bindgen is fixed.

 -- Andres Salomon <dilinger@debian.org>  Thu, 20 Feb 2025 00:16:49 -0500

chromium (133.0.6943.98-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2025-0995: Use after free in V8. Reported by Popax21.
    - CVE-2025-0996: Inappropriate implementation in Browser UI.
      Reported by yuki yamaoto.
    - CVE-2025-0997: Use after free in Navigation. Reported by asnine.
    - CVE-2025-0998: Out of bounds memory access in V8.
      Reported by Alan Goodman.
  * d/patches:
    - fixes/bindgen-unsafe-op.patch: add a workaround for a bindgen bug
      that causes FTBFS on armhf.
    - bookworm/stdarch-arm.patch: add workaround to build w/ rust 1.78.

 -- Andres Salomon <dilinger@debian.org>  Wed, 12 Feb 2025 21:35:00 -0500

chromium-browser (66.0.3359.22-3) experimental; urgency=me
