## chromium 133.0.6943.141~linuxmint1+faye

=== debian/changelog ===
chromium (133.0.6943.141~linuxmint1+faye) unstable; urgency=medium

  * 133.0.6943.141

 -- Linux Mint <root@linuxmint.com>  Tue, 25 Feb 2025 18:25:12 +0000

chromium (133.0.6943.126~linuxmint1) unstable; urgency=medium

  * 133.0.6943.126

 -- Linux Mint <root@linuxmint.com>  Tue, 18 Feb 2025 23:34:32 +0000
