## chromium 134.0.6998.35~linuxmint1+faye

=== debian/changelog ===
chromium (134.0.6998.35~linuxmint1+faye) unstable; urgency=medium

  * 134.0.6998.35

 -- Linux Mint <root@linuxmint.com>  Tue, 04 Mar 2025 21:05:17 +0000

chromium (133.0.6943.141~linuxmint1) unstable; urgency=medium

  * 133.0.6943.141

 -- Linux Mint <root@linuxmint.com>  Tue, 25 Feb 2025 18:25:12 +0000
