## chromium 134.0.6998.35

=== debian/changelog ===
chromium (134.0.6998.35-1~deb12u1) bookworm-security; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2025-1914: Out of bounds read in V8. Reported by
      Zhenghang Xiao (@Kipreyyy) and Nan Wang (@eternalsakura13).
    - CVE-2025-1915: Improper Limitation of a Pathname to a Restricted
      Directory in DevTools. Reported by Topi Lassila.
    - CVE-2025-1916: Use after free in Profiles.
      Reported by parkminchan, SSD Labs Korea.
    - CVE-2025-1917: Inappropriate Implementation in Browser UI.
      Reported by Khalil Zhani.
    - CVE-2025-1918: Out of bounds read in PDFium. Reported by asnine.
    - CVE-2025-1919: Out of bounds read in Media.
      Reported by @Bl1nnnk and @Pisanbao.
    - CVE-2025-1921: Inappropriate Implementation in Media Stream.
      Reported by Kaiido.
    - CVE-2025-1922: Inappropriate Implementation in Selection.
      Reported by Alesandro Ortiz.
    - CVE-2025-1923: Inappropriate Implementation in Permission Prompts.
      Reported by Khalil Zhani.
  * d/patches:
    - fixes/widevine-revision.patch: drop. Upstream says "with CDMs using
      manifest-based registration, no need to" hardcode version string.
    - disable/catapult.patch: refresh.
    - bookworm/clang19.patch: refresh.
    - ungoogled/disable-privacy-sandbox.patch: refresh from ungoogled.
    - bookworm/gn-allowlist.patch: add workaround for older gn.
    - bookworm/adler1.patch: add workaround for older rust.
    - fixes/stdatomic.patch: add build fix to ensure <stdatomic.h> isn't
      used.
    - fixes/variant.patch: add missing header include.
    - upstream/qualifications.patch: add fix to silence annoying warnings.
    - upstream/optional.patch: add more missing header includes.
    - bookworm/constflatset.patch: refresh.
    - bookworm/constexpr.patch: refresh.
    - bookworm/modff.patch: add workaround for libstdc++ build issue.
    - bookworm/foreach.patch: add workaround for libstdc++ build issue.
  * d/rules: update to ensure both qt5 AND qt6 are disabled.

  [ Timothy Pearson ]
  * d/patches:
    - fixes/swiftshader-llvm.patch: Add LLVM patches from upstream LLVM
      project to fix integrated SwiftShader LLVM FTBFS
  * d/patches/ppc64le:
    - third_party/0001-Add-PPC64-support-for-boringssl.patch: Refresh for
      upstream changes

 -- Andres Salomon <dilinger@debian.org>  Wed, 05 Mar 2025 13:26:45 -0500

chromium (133.0.6943.141-2) unstable; urgency=high

  * Add a bunch of lintian overrides for embedded libraries.

 -- Andres Salomon <dilinger@debian.org>  Fri, 28 Feb 2025 22:37:45 -0500

chromium (133.0.6943.141-1) unstable; urgency=high

  * New upstream security release (no CVEs).
  * Move various .pak files from chromium package to chromium-common.
  * Have chromium-driver depend upon chromium-common instead of chromium.
  * Double quote args in chromium-shell script (closes: #971906).
  * Add new package 'chromium-headless-shell' that is equivalent to the
    now-removed --headless=old argument (closes: #1081204).
  * d/patches/fixes/headless-gn.patch: add build fix for headless_shell.

 -- Andres Salomon <dilinger@debian.org>  Fri, 28 Feb 2025 16:16:33 -0500
