=== debian/control ===
--- 
+++ 
@@ -161,12 +161,26 @@
  This package provides a minimal version of the chromium user interface
  (the content shell).
 
+Package: chromium-headless-shell
+Architecture: i386 amd64 arm64 armhf ppc64el
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ chromium-common (= ${binary:Version}),
+Description: web browser - old headless shell
+ Web browser that aims to build a safer, faster, and more stable internet
+ browsing experience.
+ .
+ This package provides a headless (no GUI) version of the chromium browser,
+ which can be useful for doing things like generating PDFs. It is
+ equivalent to the 'chromium --headless=old' option that was removed.
+
 Package: chromium-driver
 Architecture: i386 amd64 arm64 armhf ppc64el
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
- chromium (= ${binary:Version}),
+ chromium-common (= ${binary:Version}),
 Description: web browser - WebDriver support
  Web browser that aims to build a safer, faster, and more stable internet
  browsing experience.
