## chromium 134.0.6998.117

=== debian/changelog ===
chromium (134.0.6998.117-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-2476: Use after free in Lens.
      Reported by SungKwon Lee of Enki Whitehat.

 -- Andres Salomon <dilinger@debian.org>  Wed, 19 Mar 2025 20:04:39 -0400

chromium (134.0.6998.88-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-1920: Type Confusion in V8. Reported by Excello s.r.o.
    - CVE-2025-2135: Type Confusion in V8.
      Reported by Zhenghang Xiao (@Kipreyyy).
    - CVE-2025-24201: Out of bounds write in GPU on Mac. Reported by
      Apple Security Engineering and Architecture (SEAR).
    - CVE-2025-2136: Use after free in Inspector. Reported by Sakana.S.
    - CVE-2025-2137: Out of bounds read in V8. Reported by zeroxiaobai@.

 -- Andres Salomon <dilinger@debian.org>  Tue, 11 Mar 2025 14:28:43 -0400

chromium (134.0.6998.35-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream stable release.
    - CVE-2025-1914: Out of bounds read in V8. Reported by
      Zhenghang Xiao (@Kipreyyy) and Nan Wang (@eternalsakura13).
    - CVE-2025-1915: Improper Limitation of a Pathname to a Restricted
      Directory in DevTools. Reported by Topi Lassila.
    - CVE-2025-1916: Use after free in Profiles.
      Reported by parkminchan, SSD Labs Korea.
    - CVE-2025-1917: Inappropriate Implementation in Browser UI.
      Reported by Khalil Zhani.
    - CVE-2025-1918: Out of bounds read in PDFium. Reported by asnine.
    - CVE-2025-1919: Out of bounds read in Media.
      Reported by @Bl1nnnk and @Pisanbao.
    - CVE-2025-1921: Inappropriate Implementation in Media Stream.
      Reported by Kaiido.
    - CVE-2025-1922: Inappropriate Implementation in Selection.
      Reported by Alesandro Ortiz.
    - CVE-2025-1923: Inappropriate Implementation in Permission Prompts.
      Reported by Khalil Zhani.
  * d/patches:
    - fixes/widevine-revision.patch: drop. Upstream says "with CDMs using
      manifest-based registration, no need to" hardcode version string.
    - disable/catapult.patch: refresh.
    - bookworm/clang19.patch: refresh.
    - ungoogled/disable-privacy-sandbox.patch: refresh from ungoogled.
    - bookworm/gn-allowlist.patch: add workaround for older gn.
    - bookworm/adler1.patch: add workaround for older rust.
    - fixes/stdatomic.patch: add build fix to ensure <stdatomic.h> isn't
      used.
    - fixes/variant.patch: add missing header include.
    - upstream/qualifications.patch: add fix to silence annoying warnings.
    - upstream/optional.patch: add more missing header includes.
  * d/rules: update to ensure both qt5 AND qt6 are disabled.

  [ Timothy Pearson ]
  * d/patches:
    - fixes/swiftshader-llvm.patch: Add LLVM patches from upstream LLVM
      project to fix integrated SwiftShader LLVM FTBFS
  * d/patches/ppc64le:
    - third_party/0001-Add-PPC64-support-for-boringssl.patch: Refresh for
      upstream changes

 -- Andres Salomon <dilinger@debian.org>  Wed, 05 Mar 2025 13:26:45 -0500

chromium (133.0.6943.126-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-0999: Heap buffer overflow in V8.
      Reported by Seunghyun Lee (@0x10n).
    - CVE-2025-1426: Heap buffer overflow in GPU.
      Reported by un3xploitable && GF.
    - CVE-2025-1006: Use after free in Network. Reported by Tal Keren, Sam
      Agranat, Eran Rom, Edouard Bochin, Adam Hatsir of Palo Alto Networks.
  * d/patches:
    - fixes/bindgen-unsafe-op.patch: drop now that sid's bindgen is fixed.

 -- Andres Salomon <dilinger@debian.org>  Thu, 20 Feb 2025 00:16:49 -0500
