## chromium 134.0.6998.165~linuxmint1+faye

=== debian/changelog ===
chromium (134.0.6998.165~linuxmint1+faye) unstable; urgency=medium

  * 134.0.6998.165

 -- Linux Mint <root@linuxmint.com>  Fri, 21 Mar 2025 16:51:17 +0000

chromium (134.0.6998.117~linuxmint1) unstable; urgency=medium

  * 134.0.6998.117

 -- Linux Mint <root@linuxmint.com>  Wed, 19 Mar 2025 18:19:17 +0000

chromium (134.0.6998.88~linuxmint1) unstable; urgency=medium

  * 134.0.6998.88

 -- Linux Mint <root@linuxmint.com>  Mon, 10 Mar 2025 20:06:17 +0000

chromium (134.0.6998.35~linuxmint1) unstable; urgency=medium

  * 134.0.6998.35

 -- Linux Mint <root@linuxmint.com>  Tue, 04 Mar 2025 21:05:17 +0000
