## chromium 135.0.7049.52~linuxmint1+faye

=== debian/changelog ===
chromium (135.0.7049.52~linuxmint1+faye) unstable; urgency=medium

  * 135.0.7049.52

 -- Linux Mint <root@linuxmint.com>  Tue, 01 Apr 2025 17:21:18 +0100

chromium (134.0.6998.165~linuxmint1) unstable; urgency=medium

  * 134.0.6998.165

 -- Linux Mint <root@linuxmint.com>  Fri, 21 Mar 2025 16:51:17 +0000
