## chromium 135.0.7049.52~linuxmint1+virginia

=== debian/changelog ===
chromium (135.0.7049.52~linuxmint1+virginia) unstable; urgency=medium

  * 135.0.7049.52

 -- Linux Mint <root@linuxmint.com>  Tue, 01 Apr 2025 17:21:18 +0100
