## chromium 135.0.7049.95~linuxmint1+faye

=== debian/changelog ===
chromium (135.0.7049.95~linuxmint1+faye) unstable; urgency=medium

  * 135.0.7049.95

 -- Linux Mint <root@linuxmint.com>  Tue, 15 Apr 2025 21:29:18 +0100

chromium (135.0.7049.84~linuxmint1) unstable; urgency=medium

  * 135.0.7049.84

 -- Linux Mint <root@linuxmint.com>  Wed, 09 Apr 2025 02:21:04 +0100
