## chromium 135.0.7049.95~linuxmint1+xia

=== debian/changelog ===
chromium (135.0.7049.95~linuxmint1+xia) unstable; urgency=medium

  * 135.0.7049.95

 -- Linux Mint <root@linuxmint.com>  Tue, 15 Apr 2025 21:29:18 +0100
