=== debian/rules ===
--- 
+++ 
@@ -47,11 +47,11 @@
 
 # use system rust
 export RUSTC_BOOTSTRAP=1
-export CLANG_MVERS:=$(shell $(CC) --version | sed -n 's/.* clang version //p' | cut -d. -f1)
+export CLANG_MVERS:=$(shell $(CC) --version 2>/dev/null | sed -n 's/.* clang version //p' | cut -d. -f1)
 rust_sysroot=/usr
 defines+=rust_sysroot_absolute=\"$(rust_sysroot)\"
 defines+=rust_bindgen_root=\"$(CURDIR)/debian/bindgen/root/usr\"
-defines+=rustc_version=\"$(shell $(rust_sysroot)/bin/rustc --version)\"
+defines+=rustc_version=\"$(shell $(rust_sysroot)/bin/rustc --version 2>/dev/null)\"
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
 
@@ -224,8 +224,7 @@
 url=https://gsdview.appspot.com/chromium-browser-official
 tarfile=$(extract)-lite.tar
 else
-# https://github.com/chromium-linux-tarballs/chromium-tarballs
-url=https://chromium-tarballs.distfiles.gentoo.org
+url=https://github.com/chromium-linux-tarballs/chromium-tarballs/releases/download/$(version)
 tarfile=$(extract)-linux.tar
 endif
 version:=$(shell dpkg-parsechangelog -S Version | sed s/-.*//)
