## chromium 136.0.7103.59~linuxmint1+faye

=== debian/changelog ===
chromium (136.0.7103.59~linuxmint1+faye) unstable; urgency=medium

  * 136.0.7103.59

 -- Linux Mint <root@linuxmint.com>  Tue, 29 Apr 2025 19:43:16 +0100

chromium (135.0.7049.114~linuxmint1) unstable; urgency=medium

  * 135.0.7049.114

 -- Linux Mint <root@linuxmint.com>  Tue, 22 Apr 2025 20:51:17 +0100
